// qacpp_swap.h
//

#ifndef PRLGCC_INCLUDED_QACPP_SWAP
#define PRLGCC_INCLUDED_QACPP_SWAP

#if defined (PRL_GCC_04)

//
// Wrapper for calls to swap due to late parsing of member exception
// specifications. (PR-21835).
namespace std
{
  template<class T> void swap(T&, T&);

  template < typename _Tp > 
  inline void __qacpp_swap__ ( _Tp & __a , _Tp & __b ) noexcept ( noexcept (swap (__a, __b)) )
  {
    swap (__a, __b);
  }
}

#endif

#endif
